import { type ComputedRef, type Ref } from 'vue';
import type { Tab, TabsProvider } from '@/components/hive-tab-group/types';
type ModelValueType = string;
interface TabGroupExport {
    currentTabId: Ref<string>;
    currentTab: ComputedRef<Tab | undefined>;
    state: TabsProvider;
    selectTab: (tabId: string) => void;
}
export type { ModelValueType };
export default function useHiveTabGroup(modelValue: ModelValueType, withLocalStorage: boolean): TabGroupExport;
